Call this endpoint to decrypt the encrypted data returned by the API.
- For merchant self-delivery or third-party logistics (3PL) orders, this endpoint can be called to decrypt the user's phone number and address.
- A maximum of 50 data items can be decrypted at once.
- The encrypted data generally uses
ENC_as a prefix.
The following data returned by the order details endpoints will be encrypted data (ciphertext data prefixed with ENC_):
- customer.phone.number
- delivery.deliveryAddress.district
- delivery.deliveryAddress.number
- delivery.deliveryAddress.complement
- delivery.deliveryAddress.formattedAddress
Security
OAuth2(Required scopes: od.all) and Sig
- https://open.mykeeta.com/api/open/opendeliveryhttps://open.mykeeta.com/api/open/opendelivery/v1/batchDecrypt
curl -i -X POST \
https://open.mykeeta.com/api/open/opendelivery/v1/batchDecrypt \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-App-Signature: YOUR_API_KEY_HERE' \
-d '{
"cipherInfos": [
{
"cipherText": "ENC_#MQesaE=#1#"
}
]
}'Response
{ "plainInfos": [ { … } ] }